<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Login extends MY_Controller {

    private $vaildcode_info;
    /**
     * 
     *
     * @access public
     * @return void
     */
    public function __construct()
    {
       /* if($_GET['test']){
            error_reporting(E_ALL);
            ini_set('display_errors','on');
        }*/
        //echo "test1"."<br/>";die;
        parent::__construct();
    }

    /**
     * Index Page for this controller.
     */
    public function index()
    {
        //brokerģ
        $this->load->model('broker_model');

        $is_online = $this->broker_model->check_online();

        $check_data = $username = $password = '';

        if($is_online)
        {
            if($this->isAjax())
            {
                echo 'check_ok';
            }
            else
            {
                $this->enter();
            }
        }
        else
        {
            $action = $this->input->post('action', TRUE);

            if('check_login' == $action)
            {

                //ύ֤
                $check_data = $this->_post();

                if($check_data === TRUE)
                {
                    echo 'check_ok';
                }
                else
                {
                    echo $check_data;
                }
            }
            else
            {
                $data_arr['username'] = $username;
                $data_arr['password'] = $password;
                $data_arr['google_analytics'] = get_ga_js_code('/½ҳ/');
                //ģ
                $this->load->view('login', $data_arr);
            }
        }
    }

    /**
     * broker enter
     */
    public function enter()
    {
        //brokerģ
        $this->load->model('broker_model');

        $user_arr = $this->broker_model->get_user_session();
        $page_text = '';

        /**
         * ¼ʼ
         * @author Candison November <www.kandisheng.com>
         * @time   2017-02-27
         */
        if(GB_CITY == 'wx') {
            $brokerID = $user_arr['uid'];
            $this->load->model('growth_credit');
            $result = $this->growth_credit->findByBrokerID($brokerID);
            if(!$result) {
                $this->growth_credit->insertByBrokerID($brokerID);
            }
        }
        /**
         * --------------------------------------------------
         */
        if(1)
        {
            //ͳ
            $this->load->library('statistics');
            $this->statistics->sub_logincount($user_arr['uid'], 'B000' , get_ip() );
        }
        $nowtime = time();

        if($nowtime >= 1410224400)
        {


            if($user_arr["expiredate"] < date("Y-m-d", strtotime("+1 weeks")))
            {
                $page_text = "ӭʹ۱˻ڣע!";
            }
            else
            {
                $page_text = '𾴵<span style="font-weight:bold;">'.$user_arr["truename"].'</span>ӭʹ۱V4.0.1棡';
            }
            //echo GB_WO_URL;die;
            //½ɹת۱ҳ
            $this->jump(GB_WO_URL, $page_text);
        }
        else
        {
            die("vvv");
            $page_text = ' 𾴵'.$user_arr["truename"].'ã۱V4.0ղѽ<br />201499(ܶ)9㽫¿Ź⡣<br />л۱V4.0Ĵ֧֣ף֣';

            //
            $this->broker_model->logout();

            //½ɹת۱ҳ
            $this->jump(GB_WO_URL.'/login/', $page_text, 6000);
        }
    }

    /**
     * broker logout
     */
    public function quit()
    {
        //brokerģ
        $this->load->model('broker_model');

        //
        $this->broker_model->logout();
        //ת¼ҳ
        $this->jump(GB_WO_URL.'/login/', 'Ѱȫ˳ڴٴʹã');
    }


    /**
     * broker find password
     */
    public function findpw(){
        //brokerģ
        $this->load->model('broker_model');
        $subusername = $this->input->post('subusername',TRUE);
        $page_text ="";
        if($subusername=='submit'){
            $this->jump(GB_WO_URL.'/login/findpw_code/');
            exit;
        }
        $data['page_text']= $page_text;
        $data['google_analytics'] = get_ga_js_code('/һ/');
        $this->load->view('findpw',$data);
    }


    /**
     * validate code
     */
    public function findpw_code()
    {
        $telno = $this->session->userdata('vaildmoblie');
        $brokerid = $this->session->userdata('vaildbrokerid');

        if(!$telno||!$brokerid){
            $this->jump(GB_WO_URL.'/login/findpw/');
        }
        $data['telno'] = $telno;
        $data['brokerid'] = $brokerid;
        $this->load->view('findpw_code',$data);
    }


    /**
     * confirm validcode
     */
    public function confirm_validcode()
    {
        $telno = $this->session->userdata('vaildmoblie');
        $brokerid = $this->session->userdata('vaildbrokerid');
        if($telno&&$brokerid){
            $session_data = array('vaildmoblie'=>'','vaildbrokerid'=>'');
            $this->session->unset_userdata($session_data);
        }  else {
            $this->jump(GB_WO_URL.'/login/findpw/');
        }

        $this->load->view('confirm_validcode');
    }

    public function check()
    {
        //brokerģ
        $this->load->model('broker_model');
        $is_online = $this->broker_model->check_online();
        if($is_online) {

        } else {
            $this->redirectLogin();
        }
    }

    private function _enter($username, $password, $kind = 'cp')
    {
        //brokerģ
        $this->load->model('broker_model');
        //֮ǰĵ½
        $this->broker_model->logout();
        $username = urldecode($username);
        if(strpos($_SERVER['HTTP_REFERER'], 'cp.house365.com') || strpos($_SERVER['HTTP_REFERER'], 'we.house365.com') || strpos($_SERVER['HTTP_REFERER'], 'esfadmin.house365.com'))
        {
            //ж˺ȷ
            $uid = $this->broker_model->loginAdmin($username, $password, FALSE);

            if($uid > 0)
            {
                $this->broker_model->set_uid($uid);

                //ȡϢ
                $broker_info = $this->broker_model->get_broker_info();

                //֤󣬰ûϢSESSION¼½־
                $this->broker_model->set_user_session($broker_info);

                $ip = get_ip(); //½IP
                $now = time(); //ǰʱ
                $log_data = array('kind'=>$kind, 'uid'=>$uid, 'logintime'=>$now, 'ip'=>$ip);
                $this->broker_model->log_broker_login($log_data);

                //½ӴCOOKIEжϣֹ
                $cookie = array(
                    'name'   => 'broker_id',
                    'value'  => $uid,
                    'expire' => 1800,    // һЧ
                );
                $this->input->set_cookie($cookie);

                $page_text = 'ڽ'.$broker_info['truename'].'('.$broker_info['username'].')۱...';
                //½ɹת۱ҳ
                $this->jump(GB_WO_URL, $page_text);
            }
            else
            {
                //ת¼ҳ
                $this->jump(GB_WO_URL.'/login/', 'ʧܣԣ');
            }
        }
        else
        {
            //ת¼ҳ
            $this->jump(GB_WO_URL.'/login/', 'ʧܣԣ');
        }
    }

    public function cp_enter_set($interface_id, $username, $password)
    {

        if('' != $interface_id && '' != $username && '' != $password)
        {
            $arr_data = array('username'=>$username, 'password'=>$password);

            //memcached
            $this->load->library('My_memcached','','mc');
            $this->mc->add($interface_id, array('is_ok'=>1, 'data'=>$arr_data),  30);

            echo 'ok';
        }
        else
        {
            echo 'error';
        }
        exit;
    }

    public function cp_enter($interface_id)
    {
        //brokerģ
        $this->load->model('broker_model');

        //֮ǰĵ½
        $this->broker_model->logout();

        if('' != $interface_id)
        {
            //echo $interface_id."<br/>";die;
            //memcached
            $this->load->library('My_memcached','','mc');
            $cache = $this->mc->get($interface_id);
            if($_COOKIE['zkg1']){
                var_dump($cache);die;
            }
            if(1 == $cache['is_ok'])
            {
                $this->broker_model->yunxinLogin($cache['data']['username']);
                $this->_enter($cache['data']['username'], $cache['data']['password'], 'cp');
            }
            else
            {
                //ת¼ҳ
                $this->jump(GB_WO_URL.'/login/', 'ʧܣԣ');
            }
        }
        else
        {
            //ת¼ҳ
            $this->jump(GB_WO_URL.'/login/', 'ʧܣԣ');
        }
    }

    public function ag_enter_set($interface_id, $username, $password)
    {
        if('' != $interface_id && '' != $username && '' != $password)
        {
            $arr_data = array('username'=>$username, 'password'=>$password);

            //memcached
            $this->load->library('My_memcached','','mc');
            $this->mc->add($interface_id, array('is_ok'=>1, 'data'=>$arr_data),  30);

            echo 'ok';
        }
        else
        {
            echo 'error';
        }
        exit;
    }

    public function ag_enter($interface_id)
    {
        //brokerģ
        $this->load->model('broker_model');

        //֮ǰĵ½
        $this->broker_model->logout();

        if('' != $interface_id)
        {
            //memcached
            $this->load->library('My_memcached','','mc');
            $cache = $this->mc->get($interface_id);

            if(1 == $cache['is_ok'])
            {
                $this->_enter($cache['data']['username'], $cache['data']['password'], 'agentcp');
            }
            else
            {
                //ת¼ҳ
                $this->jump(GB_WO_URL.'/login/', 'ʧܣԣ');
            }
        }
        else
        {
            //ת¼ҳ
            $this->jump(GB_WO_URL.'/login/', 'ʧܣԣ');
        }
    }

    /**
     * broker post
     */
    private function _post()
    {
        //brokerģ
        $this->load->model('broker_model');

        $authnum = $this->session->userdata('authnum');
        //SESSION
        $this->session->unset_userdata('authnum');
        $username = $this->input->post('username', TRUE);
        $yzm = $this->input->post('yzm', TRUE);
        if(($username == 'xuefei') || ($_SERVER['SERVER_ADDR'] == '192.168.105.243') || ($authnum != '' && $authnum == $yzm))
        {
            $username = $this->input->post('username', TRUE);
            $password = $this->input->post('password');

            if($username == '' OR $password == '')
            {
                return 'u_p_error';
            }

            $username = addslashes($username);

            //ж˺ȷ
            $uid = $this->broker_model->login($username, $password);

            //ڵ¼
            $login_num =$this->broker_model->get_enter_num_by_uid($uid);
            if($login_num>=30)
            {
                die("¼̫");
            }

            //˺Ϣȡɹ
            if($uid > 0)
            {

                //UID
                $this->broker_model->set_uid($uid);
                //ȡϢ

                $broker_info = $this->broker_model->get_broker_info();

                //ǰʱ
                $now = time();

                //ж˺Ƿ
                $now_ymd = date('Y-m-d', $now);
                if($broker_info['expiredate'] < $now_ymd)
                {
                    return 'exp_error';
                }

                //ж˺Ƿ
                if($broker_info['valid_flag'] != '1')
                {
                    return 'vad_error';
                }

                //֤󣬰ûϢSESSION¼½־
                $this->broker_model->set_user_session($broker_info);
                $this->broker_model->set_rand_post();
                $ip = get_ip(); //½IP
                $log_data = array('kind'=>'brokercp', 'uid'=>$uid, 'logintime'=>$now, 'ip'=>$ip);
                $this->broker_model->log_broker_login($log_data);

                return TRUE;
            }
            else
            {
                return 'u_p_error';
            }
        }
        else
        {
            return 'yzm_error';
        }
    }
}
/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */
